import request from '@/utils/request'

// 查询礼品登记列表
export function listGift(query) {
  return request({
    url: '/gift/gift/list',
    method: 'get',
    params: query
  })
}

// 查询礼品登记列表
export function bindingList(query) {
  return request({
    url: '/gift/gift/bindingList',
    method: 'get',
    params: query
  })
}

// 查询礼品登记详细
export function getGift(giftId) {
  return request({
    url: '/gift/gift/' + giftId,
    method: 'get'
  })
}

// 新增礼品登记
export function addGift(data) {
  return request({
    url: '/gift/gift',
    method: 'post',
    data: data
  })
}

// 修改礼品登记
export function updateGift(data) {
  return request({
    url: '/gift/gift',
    method: 'put',
    data: data
  })
}

// 删除礼品登记
export function delGift(giftId) {
  return request({
    url: '/gift/gift/' + giftId,
    method: 'delete'
  })
}

// 导出礼品登记
export function exportGift(query) {
  return request({
    url: '/gift/gift/export',
    method: 'get',
    params: query
  })
}
// 导出礼品登记
export function getNotice(query) {
  return request({
    url: '/gift/gift/getNotice',
    method: 'get',
    params: query
  })
}
// 导出礼品登记
export function getNoticeStatus(query) {
  return request({
    url: '/gift/gift/getNoticeStatus',
    method: 'get',
    params: query
  })
}
// 导出礼品登记
export function setNoticeStatus(query) {
  return request({
    url: '/gift/gift/setNoticeStatus',
    method: 'get',
    params: query
  })
}// 导出礼品登记
export function notice(query) {
  return request({
    url: '/gift/gift/notice',
    method: 'get',
    params: query
  })
}
